<?php

declare(strict_types=1);

namespace App\Events;

use App\Models\User;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Laravel\Cashier\Subscription;

class SubscriptionCreated
{
    use Dispatchable, SerializesModels;

    public function __construct(
        public User $user,
        public Subscription $subscription,
    ) {}
}
